View Single Post
Old 13th February 2011, 18:39   #2
SilverBird775
Senior Member
 
SilverBird775's Avatar
 
Join Date: Jan 2009
Location: Russia
Posts: 237
Try simplier plugins from 2.x, not the ones from the 5.x winamp. Once they work proceed with modern versions then. There would be always some incompatibilities and they grew up version to version. There is a WndProc internal messaging you need to take into account. The init call failed because your main window handle is missing the required messaging functionality. See IPC_* (wa_ipc.h) declarations for reference. But that's is just a tip of the iceberg. There is a lot more not official winamp messages which Nullsoft plugins may use. The examples you may found over internet which include the emulation of winamp main window are limited to 2.x plugin versions unless said otherwise. In my opinion MediaMonkey and AIMP have a good emulators but they are closed source.

Hope it helps.
SilverBird775 is offline   Reply With Quote